Package org.italiangrid.voms.request

# Class VOMSWarningMessage

java.lang.Object
org.italiangrid.voms.request.VOMSMessage
org.italiangrid.voms.request.VOMSWarningMessage

public class VOMSWarningMessage extends VOMSMessage
This class is used to decode VOMS error messages contained in a VOMS response.

Author:
  Andrea CEccanti

## Constructor Summary

Constructors
Constructor
Description
`VOMSWarningMessage(int code, String message)`

## Method Summary

Modifier and Type
Method
Description
`String`
`toString()`

### Methods inherited from class org.italiangrid.voms.request.VOMSMessage

`getCode, getMessage, setCode, setMessage`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### VOMSWarningMessage

public VOMSWarningMessage(int code, String message)

## Method Details

### toString

public String toString()

Overrides:
  `toString` in class `VOMSMessage`